**Source URL:** https://limited.veevavault.dev/clinical/vault-api/api-reference/26.1/configuration-migration/import-package

# Import Package

Asynchronously import and validate a VPK package attached to this request. On completion, Vault sends an email notification which includes a link to the [validation log](https://platform.veevavault.help/en/lr/36919#validation-logs). For packages that include Vault Java SDK code, this checks code compilation and restrictions in use of the JDK. For example, `new` is not allowed for non-allowlisted classes. Learn more about [Vault Java SDK limits and restrictions](/clinical/vault-sdk/references/limits-restrictions).

<Endpoint path="/api/{version}/services/package" method="PUT" />

## Headers

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `multipart/form-data` (default) or `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## Body Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `file`<Requiredness type="required" /> | `The` .vpk `file. See Export Package above.` |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -L -X PUT -H 'Authorization: {Session_ID}' \
-H 'Accept: application/json' \
-F 'file=myFile`.vpk`'\
https://myvault.veevavault.com/api/v20.2/services/package
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
    "responseStatus": "SUCCESS",
    "url": "/api/v20.2/services/jobs/88717",
    "job_id": 88717
}
```
</CodeExample>

## Response Details

On `SUCCESS`, the response includes the following information: `url` - The URL to retrieve the current status of the import job. `job_id` - The Job ID value is used to retrieve the [status](/clinical/vault-api/api-reference/26.1/jobs/retrieve-job-status) and results of the request. A separate email with a link to download the [validation log](https://platform.veevavault.help/en/lr/36919#validation-logs).

---

**Previous:** [Export Package](/clinical/vault-api/api-reference/26.1/configuration-migration/export-package)  
**Next:** [Deploy Package](/clinical/vault-api/api-reference/26.1/configuration-migration/deploy-package)